Subject: Re: FVWM: can't read feedback window

From: Dominik Vogt <[email-masked]>
Date: Mon, 31 Dec 2001 18:26:19 +0100

On Tue, Nov 06, 2001 at 09:58:24AM -0700, toshi isogai wrote:
> 
> I tried XmbTextEscapement and also XmbDrawString in move_resize.c but
> no luck. I am not sure how multibyte has some effect here. Window
> position and size information are always alpha-numeric. But when I
> recompiled without multibyte option, the feedback shows correctly...
> 
> As far as multibyte concerns, it works in popup menu but not in title.

I think we found that bug.  Could you try again with a recent
snapshot?

> Dan Espen writes:
>  > Mikhael Goikhman <[email-masked]> writes:
>  > > On 05 Nov 2001 11:52:39 -0700, toshi isogai wrote:
>  > > > 
>  > > Content-Description: message body text
>  > > > Mikhael Goikhman writes:
>  > > >  > On 05 Nov 2001 10:28:26 -0700, toshi isogai wrote:
>  > > >  > > 
>  > > >  > > I just compiled and started using 2.4.3. Feedback window during move
>  > > >  > > or resize is about 2 pixel wide. (It is trying to show some numbers in
>  > > >  > > that narrow space.) 
>  > > >  > > 
>  > > >  > > Would anyone tell me how to correct this?
>  > > >  > 
>  > > >  > Probably the font used is unreadable, like "-misc-nil-*".
>  > > >  > The default font is "fixed", it normally should exist in X.
>  > > >  > 
>  > > >  > Open FvwmConsole or FvwmTalk and execute:
>  > > >  > 
>  > > >  >   DefaultFont fixed
>  > > >  >   DefaultFont 7x13
>  > > >  >   DefaultFont any-other-existing-font
>  > > >  > 
>  > > >  > Check that your font path in X or font server is configured correctly.
>  > > >  > If this does not help, post your .fvwm2rc (try to minimize it).
>  > > > 
>  > > > I don't think font is the cause. I have already tried several fonts.
>  > > > While the feedback window is showing this 2 pixel width, I can see a
>  > > > part of character that has good height. If I move a window, I can see
>  > > > characters are changing. The window is just too small, 12x2 pixels or
>  > > > so (it is 12x0 now). Menus and title fonts show up just fine...
>  > > 
>  > > If fonts are not the problem, I don't know then.
>  > > 
>  > > I see a normal default feedback window in 2.4.3 with your posted .fvwm2rc,
>  > > with or without multibyte support.
>  > 
>  > Toshi,
>  > 
>  > Would you be using a multibyte font for the default font?
>  > 
>  > I see in borders.c we have this:
>  > 
>  > #ifdef I18N_MB
>  >     text_width = XmbTextEscapement(window->title_font.fontset, title,
>  >                                    strlen(title));
>  > #else
>  >     text_width = XTextWidth(window->title_font.font, title, strlen(title));
>  > #endif
>  > 
>  > but in move_resize.c we have this:
>  > 
>  >   Scr.SizeStringWidth =
>  >     XTextWidth(Scr.DefaultFont.font, GEOMETRY_WINDOW_STRING,
>  > 	       sizeof(GEOMETRY_WINDOW_STRING));
>  > 
>  > (No special logic for multibyte.)
>  > 
>  > Perhaps you can add some fprintfs in move_resize.c?

Bye

Dominik ^_^  ^_^

 --
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].